<h1 fxLayoutAlign="center">Add a Transaction</h1>
<form
  [formGroup]="transactionForm"
  (ngSubmit)="submitTransactionForm()"
  fxLayout="column"
  fxLayoutAlign="center space-between"
  fxLayoutGap="1rem"
>
  <div fxLayout="row" fxLayoutGap="1rem">
    <mat-form-field appearance="outline">
      <mat-label>Category</mat-label>
      <input formControlName="category" matInput placeholder="Placeholder" />
      <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      <mat-error>Test</mat-error>
      <mat-hint>Hint</mat-hint>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>description</mat-label>
      <input formControlName="description" matInput placeholder="Placeholder" />
      <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      <mat-error>Test</mat-error>
      <mat-hint>Hint</mat-hint>
    </mat-form-field>
  </div>

  <div fxLayout="row" fxLayoutGap="1rem">
    <mat-form-field appearance="outline">
      <mat-label>quantity</mat-label>
      <input
        type="number"
        formControlName="quantity"
        matInput
        placeholder="Placeholder"
      />
      <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      <mat-error>Test</mat-error>
      <mat-hint>Hint</mat-hint>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>price</mat-label>
      <input
        type="number"
        formControlName="price"
        matInput
        placeholder="Placeholder"
      />
      <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      <mat-error>Test</mat-error>
      <mat-hint>Hint</mat-hint>
    </mat-form-field>
  </div>

  <div fxLayout="row" fxLayoutGap="1rem">
    <mat-form-field appearance="outline">
      <mat-label>status</mat-label>
      <input formControlName="status" matInput placeholder="Placeholder" />
      <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      <mat-error>Test</mat-error>
      <mat-hint>Hint</mat-hint>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>date</mat-label>
      <input formControlName="date" matInput placeholder="Placeholder" />
      <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      <mat-error>Test</mat-error>
      <mat-hint>Hint</mat-hint>
    </mat-form-field>
  </div>

  <button mat-raised-button color="primary">Submit</button>
  <button mat-button mat-dialog-close>Close</button>
</form>
